puppet (3.4.3-1ubuntu1.3) trusty-security; urgency=medium

  * SECURITY UPDATE: insecure permissions when unpacking tarballs
    - debian/patches/CVE-2017-10689-1.patch: reset permissions when
      unpacking tar in lib/puppet/module_tool/tar/mini.rb, fix test in
      spec/unit/module_tool/tar/mini_spec.rb.
    - debian/patches/CVE-2017-10689-2.patch: use Integer instead of Fixnum
      in lib/puppet/module_tool/tar/mini.rb.
    - CVE-2017-10689

Date: 2018-02-09 19:34:12.816267+00:00
Changed-By: Marc Deslauriers <marc.deslauri...@canonical.com>
https://launchpad.net/ubuntu/+source/puppet/3.4.3-1ubuntu1.3
Sorry, changesfile not available.
-- 
Trusty-changes mailing list
Trusty-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/trusty-changes

Reply via email to